Loading...
Searching...
No Matches
Opm::GroupState< Scalar > Class Template Reference

## Classes

struct | GroupPotential

## Public Member Functions

| GroupState (std::size_t num_phases)
bool | operator== (const GroupState &other) const
bool | has_production_rates (const std::string &gname) const
void | update_production_rates (const std::string &gname, const std::vector< Scalar > &rates)
void | update_network_leaf_node_production_rates (const std::string &gname, const std::vector< Scalar > &rates)
const std::vector< Scalar > & | production_rates (const std::string &gname) const
const std::vector< Scalar > & | network_leaf_node_production_rates (const std::string &gname) const
void | update_well_group_thp (const std::string &gname, const double &thp)
Scalar | well_group_thp (const std::string &gname) const
bool | is_autochoke_group (const std::string &gname) const
bool | has_production_reduction_rates (const std::string &gname) const
void | update_production_reduction_rates (const std::string &gname, const std::vector< Scalar > &rates)
const std::vector< Scalar > & | production_reduction_rates (const std::string &gname) const
bool | has_injection_reduction_rates (const std::string &gname) const
void | update_injection_reduction_rates (const std::string &gname, const std::vector< Scalar > &rates)
const std::vector< Scalar > & | injection_reduction_rates (const std::string &gname) const
bool | has_injection_reservoir_rates (const std::string &gname) const
void | update_injection_reservoir_rates (const std::string &gname, const std::vector< Scalar > &rates)
const std::vector< Scalar > & | injection_reservoir_rates (const std::string &gname) const
bool | has_injection_surface_rates (const std::string &gname) const
void | update_injection_surface_rates (const std::string &gname, const std::vector< Scalar > &rates)
const std::vector< Scalar > & | injection_surface_rates (const std::string &gname) const
void | update_injection_rein_rates (const std::string &gname, const std::vector< Scalar > &rates)
const std::vector< Scalar > & | injection_rein_rates (const std::string &gname) const
void | update_injection_vrep_rate (const std::string &gname, Scalar rate)
Scalar | injection_vrep_rate (const std::string &gname) const
void | update_grat_sales_target (const std::string &gname, Scalar target)
Scalar | grat_sales_target (const std::string &gname) const
bool | has_grat_sales_target (const std::string &gname) const
void | update_gpmaint_target (const std::string &gname, Scalar target)
Scalar | gpmaint_target (const std::string &gname) const
bool | has_gpmaint_target (const std::string &gname) const
bool | has_production_control (const std::string &gname) const
void | production_control (const std::string &gname, Group::ProductionCMode cmode)
Group::ProductionCMode | production_control (const std::string &gname) const
bool | has_injection_control (const std::string &gname, Phase phase) const
void | injection_control (const std::string &gname, Phase phase, Group::InjectionCMode cmode)
Group::InjectionCMode | injection_control (const std::string &gname, Phase phase) const
void | update_number_of_wells_under_group_control (const std::string &gname, int number)
int | number_of_wells_under_group_control (const std::string &gname) const
void | update_number_of_wells_under_inj_group_control (const std::string &gname, Phase phase, int number)
int | number_of_wells_under_inj_group_control (const std::string &gname, Phase phase) const
void | update_gconsump (const Schedule &schedule, const int report_step, const SummaryState &summary_state)
const std::pair< Scalar, Scalar > & | gconsump_rates (const std::string &gname) const
void | update_group_production_potential (const std::string &gname, Scalar oil_rate, Scalar gas_rate, Scalar water_rate)
const GroupPotential & | get_production_group_potential (const std::string &gname) const
std::size_t | data_size () const
std::size_t | collect (Scalar *data) const
std::size_t | distribute (const Scalar *data)
GPMaint::State & | gpmaint (const std::string &gname)
template<class Comm>
void | communicate_rates (const Comm &comm)
template<class Serializer>
void | serializeOp (Serializer &serializer)

## Static Public Member Functions

static GroupState | serializationTestObject ()

The documentation for this class was generated from the following files:

- opm/simulators/wells/BlackoilWellModelConstraints.hpp
- opm/simulators/wells/GroupState.hpp
- opm/simulators/wells/GroupState.cpp